# TdApi.PushMessageContentAnimation (TDLight API 4.0.458 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: PushMessageContentAnimation

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PushMessageContentAnimation

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PushMessageContent
it.tdlight.jni.TdApi.PushMessageContentAnimation

Enclosing class:
  TdApi

public static final class TdApi.PushMessageContentAnimation extends TdApi.PushMessageContent
An animation message (GIF-style).

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.Animation`
`animation`
Message content; may be null.
`String`
`caption`
Animation caption.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`isPinned`
True, if the message is a pinned message with the specified content.

## Constructor Summary

Constructors
Constructor
Description
`PushMessageContentAnimation()`
An animation message (GIF-style).
`PushMessageContentAnimation(TdApi.Animation animation, String caption, boolean isPinned)`
An animation message (GIF-style).
`PushMessageContentAnimation(DataInput input)`
An animation message (GIF-style).

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### animation

public TdApi.Animation animation
Message content; may be null.

### caption

public String caption
Animation caption.

### isPinned

public boolean isPinned
True, if the message is a pinned message with the specified content.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### PushMessageContentAnimation

public PushMessageContentAnimation()
An animation message (GIF-style).

### PushMessageContentAnimation

public PushMessageContentAnimation(TdApi.Animation animation, String caption, boolean isPinned)
An animation message (GIF-style).

Parameters:
  `animation` - Message content; may be null.
  `caption` - Animation caption.
  `isPinned` - True, if the message is a pinned message with the specified content.

### PushMessageContentAnimation

public PushMessageContentAnimation(DataInput input) throws IOException
An animation message (GIF-style).

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`